# testnet-onboarding-app
React app for onboarding participants to laconicd chain with Nitro/Cosmos key attestation

## Setup for testnet-onboarding-app

1. Clone the repository

   ```
   git clone git@github.com:deep-stack/testnet-onboarding-app.git
   ```

2. Enter the project directory

   ```
   cd testnet-onboarding-app
   ```

3. Install dependencies

   ```
   yarn
   ```

4. Setup .env
   - Copy and update `.env`

     ```
     cp .env.example .env
     ```

   - In the `.env` file, add the  WalletConnect project ID used in your [laconic-wallet](https://git.vdb.to/cerc-io/laconic-wallet) setup.
     ```
     WALLET_CONNECT_PROJECT_ID=39bc93c...
     ```

5. Start the application

   ```
   yarn start
   ```
